[SOLVED] PVE 7.0-9 "No Proxmox VE repository enabled!"

Luuke

New Member
Jul 12, 2021
3
1
1
28
1626079934757.png

I tried to upgrade my Lab PVE to Version 7. Is this really telling me im not getting ANY Updates or is it just a way of telling me i have no subscription, i should not use the "not for production use" Version in a production Environment and i have to live with that message on my start screen from now on?
 
  • Like
Reactions: Gojali

Dominic

Proxmox Staff Member
Staff member
Mar 18, 2019
1,388
176
68
Hi, have you added the no-subscription repository with the Add button? If no, could you please do so? The link should end in proxmox.com/debian/pve
 
  • Like
Reactions: verulian and Luuke

Luuke

New Member
Jul 12, 2021
3
1
1
28
Hi, i just added it and it worked, thanks alot! Does this mean i can delete the repository not ending in pve or is it needed for something else?
 

fiona

Proxmox Staff Member
Staff member
Aug 1, 2019
1,998
354
88
Hi,
thanks for the report! The repository not ending in /pve should be valid too, but it's currently not detected here. We'll improve that in a future version.
 
  • Like
Reactions: Luuke and Dominic

Dominic

Proxmox Staff Member
Staff member
Mar 18, 2019
1,388
176
68
is it needed for something else?
No
Does this mean i can delete the repository not ending in pve
Yes, having one line for the no-subscription repository should be sufficient :)
 
  • Like
Reactions: Luuke

thomasddiego

New Member
Dec 17, 2021
16
0
1
Good morning,

I performed the procedure, but now it's showing another message, any suggestions to fix this new alert?

proxmox warnning.png
 

fiona

Proxmox Staff Member
Staff member
Aug 1, 2019
1,998
354
88
Hi,
Good morning,

I performed the procedure, but now it's showing another message, any suggestions to fix this new alert?

View attachment 33005
for production clusters, we recommend the use of the enterprise repository for which you need a valid subscription. That is, because the packages in the no-subscription repository are not as heavily tested.
 
Jan 8, 2018
8
0
21
37
I have mirrored the Proxmox free repository. I do update my Proxmox instance frequently by this mirror. But as the repository I use does not origin from proxmox.com it says also that no Proxmox VE repository is enabled. This isn't the case as I use my own mirror.tempsnip.png

For reference, I'm using Proxmox 7.1-12
 
Last edited:

fiona

Proxmox Staff Member
Staff member
Aug 1, 2019
1,998
354
88
Hi,
I have mirrored the Proxmox free repository. I do update my Proxmox instance frequently by this mirror. But as the repository I use does not origin from proxmox.com it says also that no Proxmox VE repository is enabled. This isn't the case as I use my own mirror.View attachment 35833

For reference, I'm using Proxmox 7.1-12
well, technically, your mirror isn't an official Proxmox VE repository ;) But feel free to open an enhancement request on our bugtracker, so the issue can be discussed where other developers will also see it. Maybe we can switch to checking the signature or something that would work on a mirror, but I can't give any guarantees.
 
  • Like
Reactions: scornelissen85

About

The Proxmox community has been around for many years and offers help and support for Proxmox VE, Proxmox Backup Server, and Proxmox Mail Gateway.
We think our community is one of the best thanks to people like you!

Get your subscription!

The Proxmox team works very hard to make sure you are running the best software and getting stable updates and security enhancements, as well as quick enterprise support. Tens of thousands of happy customers have a Proxmox subscription. Get your own in 60 seconds.

Buy now!